CREATE OR REPLACE package rob_dashboard
as
procedure recent_event
( p_workarea_irid in number   default null
, p_username      in varchar2 default null
, p_count         in number   default 15
, p_period        in varchar2 default null -- allowable values:  T, TY, Y, TW, TLW, LW, TM, TLM, LM for Today, Yesterday and Today, Yesterday, This Week, This Week and Last, This Month, This Month and Last
, p_mode          in varchar2 default null -- allowable values: CI, CO, CH for Check In, Check Out, Change; null means: all
, p_order_by      in varchar2 default null -- allowable values: USER, DATE, NAME, FOLDER, TYPE
, p_irid          in number   default null -- only events for a specific object
, p_element_type  in number   default null -- only events for a specific object type
);

/***
*  This function returns a URL that can be used to invoke the Dashboard, for a given set of parameters
***/
function get_dashboard_link
( p_workarea_irid in number   default null
, p_username      in varchar2 default null
, p_count         in number   default 15
, p_period        in varchar2 default null -- allowable values:  T, TY, Y, TW, TLW, LW, TM, TLM, LM for Today, Yesterday and Today, Yesterday, This Week, This Week and Last, This Month, This Month and Last
, p_mode          in varchar2 default null -- allowable values: CI, CO, CH for Check In, Check Out, Change; null means: all
, p_order_by      in varchar2 default null -- allowable values: USER, DATE, NAME, FOLDER, TYPE
, p_irid          in number   default null -- only events for a specific object
, p_element_type  in number   default null -- only events for a specific object type
) return varchar2;

end rob_dashboard;
/
